// TBUFRTagDlg.h : header file
//

#pragma once

#include "decl.h"
#include "Resource.h"
#include "FormatBUFR.h"
#include "Engine/Module.h"

/////////////////////////////////////////////////////////////////////////////
// TBUFRTagDlg dialog
// 
class TBUFRTagDlg : public TDialog
{
   ////////////////////////////////
   // Interface
   ////////////////////////////////
   public:

   TBUFRTagDlg(CWnd* pParent = NULL);   // standard constructor

   // Dialog Data
   enum { IDD = IDD_BUFR_TAG };
   CString strName;
   CString strDescriptor;
   CString strDescription;
   int iTxContent;
   CString strInterval;
   CString strTime;
   int iNumVals;
   int iSequence;
   
   TTimeSpan tsTxInterval;
   CString strSchedInterval;
   CString strSchedTime;

   ////////////////////////////////
   // Implementation
   ////////////////////////////////
   protected:
   
   STRUCT_TABLE_B_ELEMENT *m_pTableB;
   int m_iNumItemsTableB;
   TBUFRTableB m_tableBExternal;

   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   virtual BOOL OnInitDialog();
   void EnableControls(int iTxContent);
   void UpdateDescription();
   afx_msg void OnCbnSelEndOkCbName();
   afx_msg void OnCbnSelEndOkCbTxcontent();
   afx_msg void OnBtnChangeTime();
   afx_msg void OnBtnChangeInterval();
   afx_msg void OnBtnChangeNumValues();
   afx_msg void OnBtnChangeSequence();
   void UpdateNumVals();
   virtual void OnOK();

   DECLARE_MESSAGE_MAP()
};
