// FormatSSP.h : header file for SSP formatter
//

#pragma once

#include "decl.h"
#include "TelemetryTag.h"
#include "Utils/SSP.h"

extern "C" TELEMETRY_DECL 
bool FormatSSP(TData& data, TProtoOpcode Opcode, TTelemetryTags& tags, 
               TTime tRef = TTime::GetCurrentTime(), bool bTriggered = false,
               ETagStates eCheckFlag=eTriggered, ETagStates eSetFlag=eFormatted);

extern "C" TELEMETRY_DECL 
bool FormatSSPAlarmTriggers(TData& data, TTelemetryTags& tags, ETagStates eCheckFlag=eTriggered, ETagStates eSetFlag=eFormatted);
