// SelectTags.h: header file for TSelectTags class
//
#pragma once

#include "Resource.h"
#include "Engine/Module.h"
#include "TelemetryDevice.h"

/////////////////////////////////////////////////////////////////////////////
// TSelectTagsDlg dialog

class TSelectTagsDlg : public TDialog
{
// Construction
public:
	TSelectTagsDlg(TTelemetryDevice& device, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(TSelectTagsDlg)
	enum { IDD = IDD_SELECTTAGS };
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(TSelectTagsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(TSelectTagsDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
   void Update();
   void GetNewSettings();
   TTelemetryDevice& m_device;
   CSpinButtonCtrl* m_Spin;
   int m_iPos;
   TTelemetryTags tags;
public:
   afx_msg void OnDeltaposSpin(NMHDR *pNMHDR, LRESULT *pResult);
   afx_msg void OnCbnSelendokSel();
   afx_msg void OnBnClickedBtn1();
   afx_msg void OnBnClickedBtn2();
   afx_msg void OnBnClickedBtn3();
   afx_msg void OnBnClickedBtn4();
   afx_msg void OnBnClickedBtn5();
   afx_msg void OnBnClickedBtn6();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
